- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::VSDOptionalFillStyle Struct Reference

`#include <VSDStyles.h>`

## Public Member Functions
| VSDOptionalFillStyle ()
| VSDOptionalFillStyle (const boost::optional< Colour > &fgc, const boost::optional< Colour > &bgc, const boost::optional< unsigned char > &p, const boost::optional< double > &fga, const boost::optional< double > &bga, const boost::optional< Colour > &sfgc, const boost::optional< unsigned char > &shp, const boost::optional< double > &shX, const boost::optional< double > &shY)
| VSDOptionalFillStyle (const VSDOptionalFillStyle &style)
| ~VSDOptionalFillStyle ()
void | override (const VSDOptionalFillStyle &style)

## Public Attributes
boost::optional< Colour > | fgColour
boost::optional< Colour > | bgColour
boost::optional< unsigned char > | pattern
boost::optional< double > | fgTransparency
boost::optional< double > | bgTransparency
boost::optional< Colour > | shadowFgColour
boost::optional< unsigned char > | shadowPattern
boost::optional< double > | shadowOffsetX
boost::optional< double > | shadowOffsetY

## Constructor & Destructor Documentation

libvisio::VSDOptionalFillStyle::VSDOptionalFillStyle | ( |  | ) |
| inline

libvisio::VSDOptionalFillStyle::VSDOptionalFillStyle | ( | const boost::optional< Colour > & | fgc,
|  | const boost::optional< Colour > & | bgc,
|  | const boost::optional< unsigned char > & | p,
|  | const boost::optional< double > & | fga,
|  | const boost::optional< double > & | bga,
|  | const boost::optional< Colour > & | sfgc,
|  | const boost::optional< unsigned char > & | shp,
|  | const boost::optional< double > & | shX,
|  | const boost::optional< double > & | shY
| ) |  |
| inline

libvisio::VSDOptionalFillStyle::VSDOptionalFillStyle | ( | const VSDOptionalFillStyle & | style | ) |
| inline

libvisio::VSDOptionalFillStyle::~VSDOptionalFillStyle | ( |  | ) |
| inline

## Member Function Documentation

void libvisio::VSDOptionalFillStyle::override | ( | const VSDOptionalFillStyle & | style | ) |
| inline

Referenced by libvisio::VSDStyles::getOptionalFillStyle().

## Member Data Documentation

boost::optional<Colour> libvisio::VSDOptionalFillStyle::bgColour

Referenced by override().

boost::optional<double> libvisio::VSDOptionalFillStyle::bgTransparency

Referenced by override().

boost::optional<Colour> libvisio::VSDOptionalFillStyle::fgColour

Referenced by override().

boost::optional<double> libvisio::VSDOptionalFillStyle::fgTransparency

Referenced by override().

boost::optional<unsigned char> libvisio::VSDOptionalFillStyle::pattern

Referenced by override().

boost::optional<Colour> libvisio::VSDOptionalFillStyle::shadowFgColour

Referenced by override().

boost::optional<double> libvisio::VSDOptionalFillStyle::shadowOffsetX

Referenced by override().

boost::optional<double> libvisio::VSDOptionalFillStyle::shadowOffsetY

Referenced by override().

boost::optional<unsigned char> libvisio::VSDOptionalFillStyle::shadowPattern

Referenced by override().

The documentation for this struct was generated from the following file:

- VSDStyles.h